#include "testlib.h"

using namespace std;

int main(int argc, char *argv[]) {
    registerValidation(argc, argv);

    int n = inf.readInt(2, 200'000, "n");
    inf.readEoln();
    inf.readLongs(n, 2, 1000'000'000'000'000'000, "a");
    inf.readEoln();
    inf.readEof();
    return 0;
}